# CoNLL2003

Paper: [Introduction to the CoNLL-2003 Shared Task: Language-Independent Named Entity Recognition](https://arxiv.org/abs/cs/0306050)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/conll2003)

Citation:
```
@inproceedings{sang2003conll,
author = {Tjong Kim Sang, Erik F. and De Meulder, Fien},
title = {Introduction to the CoNLL-2003 Shared Task: Language-Independent Named Entity Recognition},
year = {2003},
booktitle = {Proceedings of NAACL},
}
```

# CrossNER

Paper: [Crossner: Evaluating cross-domain named entity recognition](https://arxiv.org/abs/2012.04373)

Dataset Link: [Github](https://github.com/zliucr/CrossNER/tree/main/ner_data)

Citation:
```
@inproceedings{liu2021crossner, 
title={CrossNER: Evaluating Cross-Domain Named Entity Recognition}, 
author={Liu, Zihan and Xu, Yan and Yu, Tiezheng and Dai, Wenliang and Ji, Ziwei and Cahyawijaya, Samuel and Madotto, Andrea and Fung, Pascale}, 
booktitle={Proceedings of AAAI}, 
year={2021}}
```

# E-NER

Paper: [E-NER -- An Annotated Named Entity Recognition Corpus of Legal Text](https://arxiv.org/abs/2212.09306)

Dataset Link: [Github](https://github.com/terenceau2/E-NER-Dataset)

Citation:
```
@inproceedings{au-etal-2022-ener,
    title = "{E}-{NER} {---} An Annotated Named Entity Recognition Corpus of Legal Text",
    author = "Au, Ting Wai Terence  and
      Lampos, Vasileios  and
      Cox, Ingemar",
    booktitle = "Proceedings of the Natural Legal Language Processing Workshop",
    year = "2022",
}
```


# Few-NERD

Paper: [Few-NERD: A Few-Shot Named Entity Recognition Dataset](https://arxiv.org/abs/2105.07464)

Dataset Link: [Github](https://github.com/thunlp/Few-NERD)

Citation:
```
@inproceedings{ding-etal-2021-nerd,
    title = "Few-{NERD}: A Few-shot Named Entity Recognition Dataset",
    author = "Ding, Ning  and
      Xu, Guangwei  and
      Chen, Yulin  and
      Wang, Xiaobin  and
      Han, Xu  and
      Xie, Pengjun  and
      Zheng, Haitao  and
      Liu, Zhiyuan",
    booktitle = "Proceedings of ACL-IJCNLP",
    year = "2021",
}
```

# WNUT

Paper: [Results of the WNUT2017 shared task on novel and emerging entity recognition](https://aclanthology.org/W17-4418/)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/wnut_17)

Citation:
```
@inproceedings{derczynski-etal-2017-wnut,
    title = "Results of the {WNUT}2017 Shared Task on Novel and Emerging Entity Recognition",
    author = "Derczynski, Leon  and
      Nichols, Eric  and
      van Erp, Marieke  and
      Limsopatham, Nut",
    booktitle = "Proceedings of Workshop on Noisy User-generated Text",
    year = "2017",
}
```

