# AdversarialQA

Paper: [Beat the AI: Investigating Adversarial Human Annotation for Reading Comprehension](https://arxiv.org/abs/2002.00293)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/adversarial_qa)

Citation:
```
@article{bartolo-etal-2020-beat,
    title = "Beat the {AI}: Investigating Adversarial Human Annotation for Reading Comprehension",
    author = "Bartolo, Max  and
      Roberts, Alastair  and
      Welbl, Johannes  and
      Riedel, Sebastian  and
      Stenetorp, Pontus",
    journal = "Transactions of ACL",
    year = "2020",
}
```

# HotpotQA

Paper: [HotpotQA: A Dataset for Diverse, Explainable Multi-hop Question Answering](https://arxiv.org/abs/1809.09600)

Dataset Link: [MRQA-2019 Shared Task](https://github.com/mrqa/MRQA-Shared-Task-2019)

Citation:
```
@inproceedings{yang-etal-2018-hotpotqa,
    title = "{H}otpot{QA}: A Dataset for Diverse, Explainable Multi-hop Question Answering",
    author = "Yang, Zhilin  and
      Qi, Peng  and
      Zhang, Saizheng  and
      Bengio, Yoshua  and
      Cohen, William  and
      Salakhutdinov, Ruslan  and
      Manning, Christopher D.",
    booktitle = "Proceedings of EMNLP",
    year = "2018",
}
```

# NaturalQuestion

Paper: [Natural Questions: a Benchmark for Question Answering Research](https://direct.mit.edu/tacl/article/doi/10.1162/tacl_a_00276/43518/Natural-Questions-A-Benchmark-for-Question)

Dataset Link: [MRQA-2019 Shared Task](https://github.com/mrqa/MRQA-Shared-Task-2019)

Citation:
```
@article{kwiatkowski-etal-2019-natural_question,
    title = "Natural Questions: A Benchmark for Question Answering Research",
    author = "Kwiatkowski, Tom  and
      Palomaki, Jennimaria  and
      Redfield, Olivia  and
      Collins, Michael  and
      Parikh, Ankur  and
      Alberti, Chris  and
      Epstein, Danielle  and
      Polosukhin, Illia  and
      Devlin, Jacob  and
      Lee, Kenton  and
      Toutanova, Kristina  and
      Jones, Llion  and
      Kelcey, Matthew  and
      Chang, Ming-Wei  and
      Dai, Andrew M.  and
      Uszkoreit, Jakob  and
      Le, Quoc  and
      Petrov, Slav",
    journal = "Transactions of ACL",
    year = "2019",
}
```

# NewsQA

Paper: [NewsQA: A Machine Comprehension Dataset](https://arxiv.org/abs/1611.09830)

Dataset Link: [MRQA-2019 Shared Task](https://github.com/mrqa/MRQA-Shared-Task-2019)

Citation:
```
@inproceedings{trischler-etal-2017-newsqa,
    title = "{N}ews{QA}: A Machine Comprehension Dataset",
    author = "Trischler, Adam  and
      Wang, Tong  and
      Yuan, Xingdi  and
      Harris, Justin  and
      Sordoni, Alessandro  and
      Bachman, Philip  and
      Suleman, Kaheer",
    booktitle = "Proceedings of Workshop on Representation Learning for {NLP}",
    year = "2017",
}
```


# SearchQA

Paper: [SearchQA: A New Q&amp;A Dataset Augmented with Context from a Search Engine](https://arxiv.org/abs/1704.05179)

Dataset Link: [MRQA-2019 Shared Task](https://github.com/mrqa/MRQA-Shared-Task-2019)

Citation:
```
@article{dunn2017searchqa,
  author    = {Matthew Dunn and
               Levent Sagun and
               Mike Higgins and
               V. Ugur G{\"{u}}ney and
               Volkan Cirik and
               Kyunghyun Cho},
  title     = {SearchQA: {A} New Q{\&}A Dataset Augmented with Context from a
               Search Engine},
  journal   = {CoRR},
  year      = {2017},
}

```

# Squad

Paper: [SQuAD: 100,000+ Questions for Machine Comprehension of Text](https://arxiv.org/abs/1606.05250)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/squad)

Citation:
```
@inproceedings{rajpurkar2016squad,
  author = {Rajpurkar, Pranav and Zhang, Jian and Lopyrev, Konstantin and Liang, Percy},
  title = {SQuAD: 100,000+ Questions for Machine Comprehension of Text},
  booktitle = "Proceedings of EMNLP",
  year = {2016},
}
```



# Squadshifts

Paper: [The Effect of Natural Distribution Shift on Question Answering Models](https://arxiv.org/abs/2004.14444)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/squadshifts)

Citation:
```
@inproceedings{miller2020squadshifts,
  title = {The Effect of Natural Distribution Shift on Question Answering Models},
  author = {Miller, John and Krauth, Karl and Recht, Benjamin and Schmidt, Ludwig},
  booktitle = {Proceedings of ICML},
  year = {2020},
}
```

# TriviaQA

Paper: [TriviaQA: A Large Scale Distantly Supervised Challenge Dataset for Reading Comprehension](https://arxiv.org/abs/1705.03551)

Dataset Link: [MRQA-2019 Shared Task](https://github.com/mrqa/MRQA-Shared-Task-2019)

Citation:
```
@inproceedings{joshi-etal-2017-triviaqa,
    title = "{T}rivia{QA}: A Large Scale Distantly Supervised Challenge Dataset for Reading Comprehension",
    author = "Joshi, Mandar  and
      Choi, Eunsol  and
      Weld, Daniel  and
      Zettlemoyer, Luke",
    booktitle = "Proceedings of ACL",
    year = "2017",
}
```
