# Amazon

Paper: [Hidden factors and hidden topics: understanding rating dimensions with review text](https://dl.acm.org/doi/10.1145/2507157.2507163)

Dataset Link: [Homepage](https://nijianmo.github.io/amazon/index.html)

Citation: 
```
@inproceedings{mcAuley2013hidden,
    author = {McAuley, Julian and Leskovec, Jure},
    title = {Hidden Factors and Hidden Topics: Understanding Rating Dimensions with Review Text},
    year = {2013},
    booktitle = {Proceedings of ACM Conference on Recommender Systems},
}
```
# DSC

Paper: [Continual Learning with Knowledge Transfer for Sentiment Classification](https://arxiv.org/abs/2112.10021v1)

Dataset Link: [Github](https://github.com/ZixuanKe/LifelongSentClass/tree/master/dat/dsc)

Citation: 
```
@inproceedings{ke2020continual,
    author= {Zixuan Ke and Bing Liu and Hao Wang and Lei Shu},
    title= {Continual Learning with Knowledge Transfer for Sentiment Classification},
    booktitle = {Proceedings of ECML-PKDD},
    year = {2020}}
```


# DynaSent

Paper: [DynaSent: A Dynamic Benchmark for Sentiment Analysis](https://arxiv.org/abs/2012.15349)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/dynabench/dynasent)

Citation: 
```
@inproceedings{potts-etal-2021-dynasent,
    title = "{D}yna{S}ent: A Dynamic Benchmark for Sentiment Analysis",
    author = "Potts, Christopher  and
      Wu, Zhengxuan  and
      Geiger, Atticus  and
      Kiela, Douwe",
    booktitle = "Proceedings of ACL-IJCNLP",
    year = "2021",
}
```

# IMDb

Paper: [Learning Word Vectors for Sentiment Analysis](https://aclanthology.org/P11-1015/)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/imdb)

Citation: 
```
@inproceedings{maas2011learning,
    author = {Maas, Andrew L.  and  Daly, Raymond E.  and  Pham, Peter T.  and  Huang, Dan  and  Ng, Andrew Y.  and  Potts, Christopher},
    title = {Learning Word Vectors for Sentiment Analysis},
    booktitle = {Proceedings of NAACL},
    year = {2011},
}
```

# SemEval

Paper: [SemEval-2016 Task 4: Sentiment Analysis in Twitter](https://arxiv.org/abs/1912.00741)

Dataset Link: [Homepage](https://www.dropbox.com/s/byzr8yoda6bua1b/2017_English_final.zip?)

Citation: 
```
@inproceedings{nakov-etal-2016-semeval,
    title = "{S}em{E}val-2016 Task 4: Sentiment Analysis in {T}witter",
    author = "Nakov, Preslav  and
      Ritter, Alan  and
      Rosenthal, Sara  and
      Sebastiani, Fabrizio  and
      Stoyanov, Veselin",
    booktitle = "Proceedings of International Workshop on Semantic Evaluation ({S}em{E}val)",
    year = "2016",
}
```

# SST

Paper: [Recursive Deep Models for Semantic Compositionality Over a Sentiment Treebank](https://aclanthology.org/D13-1170/)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/sst)

Citation: 
```
@inproceedings{socher-etal-2013-recursive,
    title = "Recursive Deep Models for Semantic Compositionality Over a Sentiment Treebank",
    author = "Socher, Richard  and
      Perelygin, Alex  and
      Wu, Jean  and
      Chuang, Jason  and
      Manning, Christopher D.  and
      Ng, Andrew  and
      Potts, Christopher",
    booktitle = "Proceedings of EMNLP",
    year = "2013",
}
```


# Yelp

Paper: [Character-level Convolutional Networks for Text Classification](https://arxiv.org/abs/1509.01626)

Dataset Link: [HuggingFace](https://huggingface.co/datasets/yelp_review_full)

Citation: 
```
@article{asghar2016yelp,
 author = {Asghar, Nabiha},
 journal = {arXiv preprint arXiv:1605.05362},
 title = {Yelp dataset challenge: Review rating prediction},
 year = {2016}
}
```


